Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

packageId
string<guid>
required

The target package's unique identifier A package's unique identifier

Example:

"00000000-0000-0000-0000-000000000000"

documentId
string<guid>
required

The target document's unique identifier A document's unique identifier

Example:

"00000000-0000-0000-0000-000000000000"

Response

OK

A field that can be signed by an actor

Type
enum<string>
required

the type of element ( the discriminator of the different types of elements, for the moment there's just one! )

Available options:
SigningField,
TextBoxField,
CheckBoxField,
RadioGroup
Id
string<guid>

An element's unique identifier

Example:

"00000000-0000-0000-0000-000000000000"

ActorId
string<guid>

Is null when no actor has been assigned to this field yet

Example:

"00000000-0000-0000-0000-000000000000"

Status
enum<string>

The status of a document element

Available options:
Pending,
InProgress,
Rejected,
Failed,
Finished,
Refused
ExternalReference
string

External reference to this resource set by the calling application. NSEV does not use this value itself. When filtering packages, this matches the package-level external reference only, not document or field references.

Maximum string length: 256
CompletedDate
string<dateTime>
Location
object

where an element is placed

Example:
UsedSigningMethod
string

The signingmethod that was used to sign this signingfield

SigningMethods
string[]

An NSEV signing method

KeyPairMappings
object[]
Dimensions
Element dimensions · object

The size of an element in points. The minimum width and height depend on the element type - a signing field must be at least 50 × 30, other elements at least 10 × 10. See the Field positioning guide.

Example: